# Gimp.Matrix3.affine

    @accepts(Gimp.Matrix3, float, float, float, float, float, float)
    @returns(none)
    def affine(self, a, b, c, d, e, f):
        # Python wrapper for gimp_matrix3_affine()

Applies the affine transformation given by six values to self. The six values form define an affine transformation matrix as illustrated below:

( a c e ) ( b d f ) ( 0 0 1 )

self

  The input matrix.

a

  the 'a' coefficient

b

  the 'b' coefficient

c

  the 'c' coefficient

d

  the 'd' coefficient

e

  the 'e' coefficient

f

  the 'f' coefficient